


* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}


ol {
  padding: 0;
}

.tal {
  text-align: left;
}
.tar {
  text-align: right;
}
.tac {
  text-align: center;
}

@media only screen and (min-width: 1023px) {
    .faq-wrap {
  width: 100%;
 margin-top:40px
 
}}

@media only screen and (max-width: 1024px) {
    .faq-wrap {
  margin-top: 30px;
 
}}


.faq-wrap {

  input[type="radio"] {
    display: none!important;
  }

  .faq-box {
    position: relative;
    height: 70px;
    margin-top: 5px;
    overflow: hidden; 
     border-radius:15px;
  }

  label.faq-trigger {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 70px;
    color: #fff;
    font-weight: bold;
    padding: 0 5%;
    background: #269db9;
    cursor: pointer;
    z-index: 2;
    border-radius:15px;
    &.close {
      position: absolute;
      top: 0;
      left: 0;
      display: none;
      width: 100%;
      background: rgba(255, 255, 255, 0);
      transition: background 0.3s ease-in-out 0s;
    }
    i {
      position: absolute;
      top: 50%;
      right: 20px;
      transform-origin: center;
      &:before {
        content: "";
        display: block;
        width: 10px;
        height: 2px;
        background: #fff;
        transform: translate3d(-3px, 0, 0) rotate(45deg);
        transition: transform 0.3s ease-in-out 0s;
      }
      &:after {
        content: "";
        display: block;
        width: 10px;
        height: 2px;
        background: #fff;
        transform: translate3d(3px, -2px, 0) rotate(-45deg);
        transition: transform 0.3s ease-in-out 0s;
      }
    }
    &:hover {
      border-radius: 10px;
      &.close {
        border-radius: 0;
        background: rgba(255, 255, 255, 0.3);
      }
    }
  }


  .faq-con {
    height: 0;
    padding: 0;
    transition: 0.3s ease-in-out;
    > * {
      transform: scale(0);
      transition: transform 0.3s ease-in-out 0.3s;
      &.pop-in {
        transform: scale(0);
      }
      &.top-in {
        transform: translate3d(0, -146%, 0);
      }
      
      &.bottom-in {
        transform: translate3d(0, 100%, 0);
      }
    }
    p {
   background: #1d4357;
      padding: 2% 5%;
      font-size: 17px;
      font-weight: 500;
    }
    .list li {
      display: block;
      color: #fff;
      width: 100%;
      background:  #1d4357;
      padding: 2% 5%;
      margin-top: 1px;
      border-radius:15px;
      list-style: none;
    }
    li {
      margin-top: 1px;
      a {
        display: block;
        color: #0d223f;
        width: 100%;
        background:  #1d4357;
        padding: 2% 5%;
      }
    }
  }

  input:checked + .faq-box {
    height: auto;
  }
  input:checked + .faq-box .close {
    display: block;
  }
  input:checked + .faq-box i {
    &:before {
      transform: translate3d(3px, 0, 0) rotate(45deg);
    }
    &:after {
      transform: translate3d(-3px, -2px, 0) rotate(-45deg);
    }
  }
  input:checked + .faq-box .faq-con {
    height: auto;
    opacity: 1;
    visibility: visible;
    padding: 4px 0;
    > * {
      &.pop-in {
        transform: scale(1);
      }
    
      &.top-in,
      &.bottom-in {
        transform: translate3d(0, 0, 0);
      }
    }
  }
}

